/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_XDP_LINK_SKEL_H__
#define __TEST_XDP_LINK_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_xdp_link {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *xdp_handler;
	} progs;
	struct {
		struct bpf_link *xdp_handler;
	} links;
};

static void
test_xdp_link__destroy(struct test_xdp_link *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_xdp_link__create_skeleton(struct test_xdp_link *obj);

static inline struct test_xdp_link *
test_xdp_link__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_xdp_link *obj;

	obj = (struct test_xdp_link *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_xdp_link__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_xdp_link__destroy(obj);
	return NULL;
}

static inline struct test_xdp_link *
test_xdp_link__open(void)
{
	return test_xdp_link__open_opts(NULL);
}

static inline int
test_xdp_link__load(struct test_xdp_link *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_xdp_link *
test_xdp_link__open_and_load(void)
{
	struct test_xdp_link *obj;

	obj = test_xdp_link__open();
	if (!obj)
		return NULL;
	if (test_xdp_link__load(obj)) {
		test_xdp_link__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_xdp_link__attach(struct test_xdp_link *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_xdp_link__detach(struct test_xdp_link *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_xdp_link__create_skeleton(struct test_xdp_link *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_xdp_link";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "xdp_handler";
	s->progs[0].prog = &obj->progs.xdp_handler;
	s->progs[0].link = &obj->links.xdp_handler;

	s->data_sz = 4248;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\
\x01\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x01\x11\x01\x25\x0e\
\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\
\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\x13\
\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\x0b\
\x3e\x0b\0\0\x07\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\
\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x08\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\
\0\0\x09\x0f\0\x49\x13\0\0\x0a\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0b\
\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0c\x16\0\x49\x13\x03\x0e\
\x3a\x0b\x3b\x0b\0\0\0\xf1\0\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\0\x3f\0\0\0\x01\x06\x09\x03\
\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\0\0\0\0\x06\x01\x06\0\0\
\0\0\x08\x07\x07\0\0\0\0\0\0\0\0\x10\0\0\0\x01\x5a\0\0\0\0\x01\x09\x7e\0\0\0\
\x08\0\0\0\0\x01\x09\x85\0\0\0\0\x05\0\0\0\0\x05\x04\x09\x8a\0\0\0\x0a\0\0\0\0\
\x18\x03\x4a\x0f\x0b\0\0\0\0\xe2\0\0\0\x03\x4b\x0f\0\x0b\0\0\0\0\xe2\0\0\0\x03\
\x4c\x0f\x04\x0b\0\0\0\0\xe2\0\0\0\x03\x4d\x0f\x08\x0b\0\0\0\0\xe2\0\0\0\x03\
\x4f\x0f\x0c\x0b\0\0\0\0\xe2\0\0\0\x03\x50\x0f\x10\x0b\0\0\0\0\xe2\0\0\0\x03\
\x52\x0f\x14\0\x0c\xed\0\0\0\0\0\0\0\x02\x1b\x05\0\0\0\0\x07\x04\0\x63\x6c\x61\
\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x31\x2e\x30\x2e\x30\x20\x28\
\x52\x65\x64\x20\x48\x61\x74\x20\x31\x31\x2e\x30\x2e\x30\x2d\x31\x2e\x6d\x6f\
\x64\x75\x6c\x65\x2b\x65\x6c\x38\x2e\x34\x2e\x30\x2b\x34\x31\x32\x2b\x30\x35\
\x63\x66\x36\x34\x33\x66\x29\0\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x78\
\x64\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x31\x37\x2e\x31\x2e\
\x72\x74\x37\x2e\x38\x39\x2e\x65\x6c\x38\x5f\x34\x2f\x6c\x69\x6e\x75\x78\x2d\
\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x31\x37\x2e\x31\x2e\x72\x74\x37\
\x2e\x38\x39\x2e\x65\x6c\x38\x5f\x34\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\0\x4c\x49\x43\x45\x4e\x53\x45\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x78\
\x64\x70\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x69\x6e\x74\0\x78\x64\x70\0\x64\x61\
\x74\x61\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\
\x32\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\
\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\
\x69\x6e\x64\x65\x78\0\x78\x64\x70\x5f\x6d\x64\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x0c\x01\0\0\x0c\x01\0\0\x4e\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\
\x06\0\0\x04\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\
\0\x16\0\0\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\
\0\0\x80\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\
\x01\0\0\0\x65\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\
\0\0\0\x25\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x2a\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x3e\
\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x46\x01\0\0\x01\0\0\x0f\0\0\0\0\x0b\0\0\
\0\0\0\0\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\
\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\
\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\
\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x78\x64\x70\0\x69\x6e\x74\0\x78\x64\x70\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x78\
\x64\x70\x2f\x68\x61\x6e\x64\x6c\x65\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x31\x37\x2e\x31\
\x2e\x72\x74\x37\x2e\x38\x39\x2e\x65\x6c\x38\x5f\x34\x2f\x6c\x69\x6e\x75\x78\
\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\x2e\x31\x37\x2e\x31\x2e\x72\x74\
\x37\x2e\x38\x39\x2e\x65\x6c\x38\x5f\x34\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\
\x78\x64\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\
\0\0\0\0\0\0\x08\0\0\0\x75\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x75\0\0\
\0\x01\0\0\0\0\0\0\0\x81\0\0\0\x1a\x01\0\0\x02\x2c\0\0\0\x10\0\0\0\0\0\0\0\x01\
\x7a\x52\0\x08\x7c\x0b\x01\x0c\0\0\0\x18\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x04\0\xdd\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\
\x01\x01\x01\0\0\0\x01\0\0\x01\x70\x72\x6f\x67\x73\0\x2f\x75\x73\x72\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x30\x35\x2e\x31\x37\x2e\x31\x2e\x72\x74\x37\x2e\x38\x39\x2e\x65\x6c\x38\
\x5f\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\x33\x30\x35\
\x2e\x31\x37\x2e\x31\x2e\x72\x74\x37\x2e\x38\x39\x2e\x65\x6c\x38\x5f\x34\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x74\x65\x73\x74\x5f\x78\
\x64\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\
\x2e\x68\0\x02\0\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\
\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\
\x09\x01\x05\x02\x0a\x13\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x44\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x5a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\xdd\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\xe5\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\xea\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\xfe\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x0e\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x0a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\x6b\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x12\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x2a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\x33\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x3d\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x4d\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\x5c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\x17\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0f\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x2d\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x0a\0\0\0\
\x15\0\0\0\x0c\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x12\0\0\0\0\0\0\0\x0a\0\0\0\
\x03\0\0\0\x16\0\0\0\0\0\0\0\x0a\0\0\0\x16\0\0\0\x1a\0\0\0\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x2b\0\0\0\0\0\0\0\x0a\0\0\0\
\x05\0\0\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x4c\0\0\0\0\0\0\0\x0a\0\0\0\
\x06\0\0\0\x53\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x5a\0\0\0\0\0\0\0\x01\0\0\0\
\x14\0\0\0\x68\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x73\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x7f\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x8b\0\0\0\0\0\0\0\x0a\0\0\0\
\x0b\0\0\0\x94\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\xa1\0\0\0\0\0\0\0\x0a\0\0\0\
\x0d\0\0\0\xae\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\xbb\0\0\0\0\0\0\0\x0a\0\0\0\
\x0f\0\0\0\xc8\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xd5\0\0\0\0\0\0\0\x0a\0\0\0\
\x11\0\0\0\xe7\0\0\0\0\0\0\0\x0a\0\0\0\x12\0\0\0\xee\0\0\0\0\0\0\0\x0a\0\0\0\
\x13\0\0\0\x1c\x01\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x14\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x1c\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\
\0\xea\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\
\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x78\x64\x70\x5f\x68\
\x61\x6e\x64\x6c\x65\x72\0\x78\x64\x70\x2f\x68\x61\x6e\x64\x6c\x65\x72\0\x2e\
\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\
\x72\x65\x6c\x2e\x65\x68\x5f\x66\x72\x61\x6d\x65\0\x74\x65\x73\x74\x5f\x78\x64\
\x70\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\
\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0b\0\0\0\0\0\0\xac\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\0\0\0\0\xa2\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf6\0\0\0\0\0\0\0\xf5\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa8\x09\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x11\0\0\0\x06\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xeb\x01\0\0\0\0\0\0\x72\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x9f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\x03\0\0\0\0\0\0\x72\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x11\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcf\x05\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x11\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x71\0\0\0\x01\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x06\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x48\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x11\0\0\0\x0d\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x61\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x06\0\0\0\0\0\0\xfe\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x0b\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x11\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x93\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x07\0\0\0\
\0\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_XDP_LINK_SKEL_H__ */
